export default function withDeprecationWarning(obj, deprecatedProperties) {
  if (deprecatedProperties === void 0) {
    deprecatedProperties = {};
  }

  var handler = {
    get: function get(target, property) {
      if (Object.keys(deprecatedProperties).includes(property)) {
        console.warn("[Deprecation Warning]: ".concat(deprecatedProperties[property]));
      }

      return target[property];
    }
  };
  return new Proxy(obj, handler);
}